:root {
    --color-white: #fff;
    --color-main: #012533;
    --color-blue: #148799;
    --color-emerald: #08595E;
}

.container {
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    padding: 0 40px;
    gap: 40px;
}

body:has(.sports-line) .breadcrumbs {
    display: none!important;
}

.sports-line * {
    box-sizing: border-box;
}

.c-wrap-page sup {
    margin-left: .05em;
    font-size: 60%;
    padding-top: 0;
    top: -.7em;
}

.c-wrap-page sup.reg {
    margin-left: 0;
}

.container--center {
    justify-content: center;
}

.sports-line .btn {
    font-family: 'Fira Sans Condensed', sans-serif;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0 28px;
    height: 60px;
    border-radius: 20px;
    border: 0;
    background-color: transparent;
    color: var(--color-main);
    position: relative;
    transition: .3s linear;
    font-size: 18px;
    gap: 8px;
    font-weight: 500;
}

.sports-line .btn--primary {
    border: 1px solid var(--color-white);
    background-color: var(--color-white);
    color: var(--color-main);
}

.sports-line .btn svg {
    transition: transform .2s linear;
}

.sports-line .btn:hover svg {
    transform: rotate(-45deg);
}

.sports-line .btn--primary:hover {
    color: var(--color-blue);
}

.sports-line .btn--icon {
    width: 60px;
    padding: 0;
}

.sports-line .btn--full {
    width: 100%;
}

.sports-line .btn--outline {
    border: 1px solid var(--color-white);
    color: var(--color-white);
}

.sports-line .btn--outline:hover {
    color: var(--color-main);
    background-color: var(--color-white);
}

.sports-line .btn--regular {
    font-weight: 400;
}

@media (max-width: 1679px) {
    .sports-line .btn--icon {
        width: 48px;
        height: 48px;
        border-radius: 16px;
    }
}

@media (max-width: 1284px) {
    .hidden-tablet  {
        display: none!important;
    }
    .container {
        padding: 0 28px;
    }
    .sports-line .btn--small {
        height: 40px;
        font-size: 14px;
        padding: 0 20px;
        border-radius: 12px;
    }
}

@media (min-width: 1285px) {
    .hidden-desktop {
        display: none!important;
    }
}

@media (min-width: 768px) {
    .hidden-desktop-tablet {
        display: none!important;
    }
}

@media (max-width: 767px) {
    .hidden-mobile {
        display: none!important;
    }
    .sports-line .btn--large {
        height: 48px;
        font-size: 16px;
        padding: 0 20px;
        border-radius: 16px;
    }
    .container {
        padding: 0 16px;
    }
}

.banner-slider {
    font-family: 'Montserrat', sans-serif;
    position: relative;
    z-index: 3;
    width: calc(100vw - var(--scrollbar-width) + 1px);
    left: 50%;
    transform: translateX(-50%);
    box-sizing: border-box;
    background: var(--color-white);
}

.banner-slider .swiper-slide {
    height: auto;
}

.banner-slider__slide {
    padding-top: 110px;
    min-height: 800px;
    position: relative;
    width: 100%;
    height: auto;
    box-sizing: border-box;
    border-radius: 0 0 40px 40px;
    overflow: hidden;
}

.banner-slider__slide > .container {
    height: 100%;
}

.banner-slider__slide-wrap {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}

.banner-slider__slide-bg {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    transform: scaleX(-1);
}

.banner-slider__slide-wrap:before,
.banner-slider__slide-wrap:after {
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}

.banner-slider__slide-wrap:before {
    background: linear-gradient(0deg, #084E53 0%, #084E53 100%), linear-gradient(0deg, #000 0%, #000 100%);
    mix-blend-mode: color;
    z-index: 1;
}

.banner-slider__slide-wrap:after {
    background: rgba(0,0,0,0.4);
    z-index: 2;
}

.banner-slider__slide-bg video {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.banner-slider__slide-content {
    position: relative;
    padding: 40px 0 40px;
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1.4fr);
    gap: 20px;
    box-sizing: border-box;
    height: 100%;
    z-index: 3;
}

.banner-slider__slide-col {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.banner-slider__slide-img,
.banner-slider__slide-img img {
    align-self: flex-end;
    max-width: 100%;
    max-height: 590px;
    object-fit: contain;
    object-position: right bottom;
    display: block;
    width: 525px;
    height: 352px;
}

.banner-slider__slide-title {
    margin: 16px 0 0;
    font-size: 72px;
    font-style: normal;
    font-weight: 500;
    line-height: 115%;
    letter-spacing: -1.44px;
    color: var(--color-white);
}

.banner-slider__slide-text {
    font-family: 'Fira Sans Condensed', sans-serif;
    color: var(--color-white);
    font-size: 24px;
    font-weight: 400;
    line-height: 130%;
    margin: 32px 0 70px;
}

.sports-line .btn.banner-slider__btn {
    margin-top: 40px;
    min-width: 240px;
    width: fit-content;
}

.banner-slider__slide-details {
    margin: auto 0 0;
    display: flex;
    gap: 20px;
}

.banner-slider__slide-details-card {
    border-radius: 40px;
    background: rgba(158, 214, 238, 0.12);
    border: 1px solid rgba(255, 255, 255, 0.24);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    padding: 40px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    flex-grow: 1;
}

.banner-slider__slide-details-card p.banner-slider__slide-desc {
    font-family: 'Fira Sans Condensed';
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    margin: 0;
    color: var(--color-white);
}

.banner-slider__slide-actions {
    display: flex;
    gap: 8px;
}

.sports-line .btn.banner-slider__slide-btn-more {
    font-size: 0;
    height: auto;
    align-items: flex-end;
    padding: 40px;
    flex-shrink: 0;
    border-radius: 40px;
}

.banner-slider.swiper-horizontal>.banner-slider__pagination-fraction {
    position: absolute;
    bottom: 40px;
    right: 40px;
    left: auto;
    z-index: 1;
    width: fit-content;
    display: flex;
    gap: 28px;
    margin: 0 auto;
}

.banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet {
    margin: 0;
    width: 40px;
    height: 40px;
    border-radius: 14px;
    border: 1px solid var(--color-white);
    background: transparent;
    opacity: 1;
    color: var(--color-white);
    font-size: 16px;
    font-weight: 300;
    line-height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s linear;
    position: relative;
    outline: none;
}

.banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet:before {
    content: '';
    position: absolute;
    width: 40px;
    height: 40px;
    z-index: 2;
    border-radius: 14px;
    border: 1px solid var(--color-main);
    opacity: 0;
    transform: rotate(-90deg);
}

.banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet-active:before {
    opacity: 1;
    animation: clip 5.2s linear infinite;
}

.banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet-active {
    transform: scale(1.3);
}

@keyframes clip {
    from { clip-path: polygon(50% 50%, 150% 50%, 150% 50%, 50% 50%, 50% 150%, 50% 150%, 50% 50%, -50% 50%, -50% 50%, 50% 50%, 50% -50%, 50% -50%, 50% 50%); }
    25% { clip-path: polygon(50% 50%, 150% 50%, 50% 150%, 50% 50%, 50% 150%, 50% 150%, 50% 50%, -50% 50%, -50% 50%, 50% 50%, 50% -50%, 50% -50%, 50% 50%); }
    50% { clip-path: polygon(50% 50%, 150% 50%, 50% 150%, 50% 50%, 50% 150%, -50% 50%, 50% 50%, -50% 50%, -50% 50%, 50% 50%, 50% -50%, 50% -50%, 50% 50%); }
    75% { clip-path: polygon(50% 50%, 150% 50%, 50% 150%, 50% 50%, 50% 150%, -50% 50%, 50% 50%, -50% 50%, 50% -50%, 50% 50%, 50% -50%, 50% -50%, 50% 50%); }
    to { clip-path: polygon(50% 50%, 150% 50%, 50% 150%, 50% 50%, 50% 150%, -50% 50%, 50% 50%, -50% 50%, 50% -50%, 50% 50%, 50% -50%, 150% 50%, 50% 50%); }
}


@media (max-width: 1679px) {
    .banner-slider__slide {
        min-height: 600px;
    }

    .banner-slider__slide-title {
        font-size: 52px;
        line-height: 58px;
    }

    .banner-slider__slide-content {
        padding: 32px 0;
        grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    }

    .banner-slider__slide-text {
        font-size: 32px;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction {
        bottom: 32px;
    }

    .banner-slider__slide-details-card {
        padding: 28px;
        border-radius: 28px;
    }

    .banner-slider__slide-details-card p.banner-slider__slide-desc {
        font-size: 14px;
    }

    .sports-line .btn.banner-slider__slide-btn-more {
        padding: 28px;
        border-radius: 28px;
    }
}

@media (max-width: 1284px) {
    .banner-slider__slide {
        height: 100%;
        padding-top: 0;
        min-height: 865px;
        border-radius: 0 0 28px 28px;
    }

    .banner-slider__slide-img,
    .banner-slider__slide-img img {
        width: 350px;
        height: auto;
        align-self: flex-start;
        max-width: 100%;
        margin: 0;
    }

    .banner-slider__slide-content {
        grid-template-columns: 1fr;
        padding: 40px 0 28px;
        gap: 40px;
        height: 100%;
        align-items: end;
    }

    .banner-slider__slide .container {
        height: 100%;
    }

    .banner-slider__slide-col:last-child {
        grid-row: 1/2;
    }

    .banner-slider__slide-col:first-child {
        grid-row: 2/3;
    }

    .banner-slider__slide-title {
        font-size: 42px;
        line-height: 130%;
    }

    .banner-slider__slide-col--center .banner-slider__slide-title,
    .banner-slider__slide-col--center .banner-slider__slide-text {
        text-align: center;
    }

    .banner-slider__slide-text {
        flex-grow: 1;
        font-size: 24px;
        margin: 20px 0 40px;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction {
        bottom: auto;
        top: 132px;
        right: 30px;
    }

    .banner-slider__slide-details {
        max-width: 712px;
    }

    .banner-slider__slide-details-card {
        padding: 20px;
        border-radius: 20px;
    }

    .banner-slider__slide-details-card p.banner-slider__slide-desc {
        font-size: 16px;
    }

    .sports-line .btn.banner-slider__slide-btn-more {
        border-radius: 20px;
        padding: 40px 24px;
    }
}

@media (max-width: 767px) {
    .banner-slider__slide {
        height: 100%;
        min-height: 520px;
        border-radius: 0 0 20px 20px;
    }

    .banner-slider__slide-content {
        padding: 28px 0 20px;
        gap: 20px;
    }

    .banner-slider__slide-content {
        font-size: 24px;
    }

    .banner-slider__slide-title-logo {
        width: 100px;
        height: auto;
    }

    .banner-slider__slide-title {
        margin-top: 8px;
        font-size: 28px;
    }

    .banner-slider__slide-text {
        font-size: 18px;
        line-height: 130%;
        margin: 12px 0 20px;
    }

    .banner-slider__slide-details {
        flex-direction: column;
        gap: 20px;
    }

    .banner-slider__slide-details-card  {
        padding: 0;
        background: transparent;
        border: 0;
        flex-direction: column-reverse;
        gap: 20px;
        backdrop-filter: none;
    }

    .banner-slider__slide-actions {
        flex-direction: column;
        align-items: flex-start;
    }

    .banner-slider__slide-details-card p.banner-slider__slide-desc {
        font-size: 14px;
    }

    .sports-line .btn.banner-slider__slide-btn-more {
        font-size: 14px;
        font-weight: 600;
        gap: 4px;
        padding: 0;
        border: 0;
        justify-content: flex-start;
        align-items: center;
        width: fit-content;
    }

    .sports-line .btn.banner-slider__slide-btn-more svg {
        width: 16px;
        height: 16px;
    }

    .sports-line .btn.banner-slider__slide-btn-more:hover {
        background-color: transparent;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction {
        top: 100px;
        aspect-ratio: 65 / 42;
        align-items: flex-end;
        pointer-events: none;
        left: 0;
        right: 0;
        padding: 0 16px;
        width: calc(100% - 32px);
        gap: 8px;
        justify-content: center;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet {
        width: 6px;
        height: 6px;
        border-radius: 2px;
        font-size: 0;
        border-color: rgba(255, 255, 255, 0.30);
        pointer-events: auto;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet:before {
        display: none;
    }

    .banner-slider.swiper-horizontal>.banner-slider__pagination-fraction .swiper-pagination-bullet-active {
        transform: none;
        background-color: rgba(255, 255, 255, 0.30);
    }

    .sports-line .btn.banner-slider__btn {
        min-width: 160px;
        margin-top: 20px;
    }
}
